> For the complete documentation index, see [llms.txt](https://docs.infraon.io/infraon-infinity-api-guide/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.infraon.io/infraon-infinity-api-guide/modules/incident.md).

# Incident

## GET /ux/sd/inci/conversation/

> API endpoint that allows Incident to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/sd/inci/conversation/":{"get":{"operationId":"ux_sd_inci_conversation_retrieve","description":"API endpoint that allows Incident to be viewed or edited.","tags":["Incident"],"responses":{"200":{"description":"No response body"}}}}}}
```

## POST /ux/sd/inci/conversation/

> API endpoint that allows Incident to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/sd/inci/conversation/":{"post":{"operationId":"ux_sd_inci_conversation_create","description":"API endpoint that allows Incident to be viewed or edited.","tags":["Incident"],"responses":{"201":{"description":"No response body"}}}}}}
```

## GET /ux/sd/inci/conversation/{id}/

> API endpoint that allows Incident to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/sd/inci/conversation/{id}/":{"get":{"operationId":"ux_sd_inci_conversation_retrieve_2","description":"API endpoint that allows Incident to be viewed or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Incident"],"responses":{"200":{"description":"No response body"}}}}}}
```

## PUT /ux/sd/inci/conversation/{id}/

> API endpoint that allows Incident to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/sd/inci/conversation/{id}/":{"put":{"operationId":"ux_sd_inci_conversation_update","description":"API endpoint that allows Incident to be viewed or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Incident"],"responses":{"200":{"description":"No response body"}}}}}}
```

## DELETE /ux/sd/inci/conversation/{id}/

> API endpoint that allows Incident to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/sd/inci/conversation/{id}/":{"delete":{"operationId":"ux_sd_inci_conversation_destroy","description":"API endpoint that allows Incident to be viewed or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Incident"],"responses":{"204":{"description":"No response body"}}}}}}
```

## Gets a list of incidents

> This endpoint is used to fetch all the incidents in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"IncidentList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"incident_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_merge_incident":{"type":"boolean"},"is_archive":{"type":"boolean"},"unread_mail":{"type":"boolean"},"requester":{"$ref":"#/components/schemas/Embedded"},"config":{"$ref":"#/components/schemas/Embedded"},"reporter_info":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"reference":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"source_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"},"impacted_asset":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_watcher":{"type":"array","items":{}},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"custom_field":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"location":{"type":"object","additionalProperties":{}}},"required":["incident_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/inci/incident/":{"get":{"operationId":"ux_sd_inci_incident_list","description":"This endpoint is used to fetch all the incidents in the current organization","summary":"Gets a list of incidents","parameters":[{"in":"query","name":"items_per_page","schema":{"type":"integer"},"description":"Items Per Page","required":true},{"in":"query","name":"page","schema":{"type":"integer"},"description":"Page Number","required":true},{"in":"query","name":"reverse","schema":{"type":"boolean"},"description":"Sorting Order"},{"in":"query","name":"sort","schema":{"type":"string"},"description":"Sorting Key"}],"tags":["Incident"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/IncidentList"}}}},"description":""}}}}}}
```

## Creates a new incident&#x20;

> This endpoint is used to save a new incident for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/sd/inci/incident/":{"post":{"operationId":"ux_sd_inci_incident_create","description":"This endpoint is used to save a new incident for the current organization","summary":"Creates a new incident ","tags":["Incident"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}},"responses":{"201":{"description":"No response body"}}}}}}
```

## Gets a incident with the given id

> This endpoint is used to fetch a incident details in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"IncidentList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"incident_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_merge_incident":{"type":"boolean"},"is_archive":{"type":"boolean"},"unread_mail":{"type":"boolean"},"requester":{"$ref":"#/components/schemas/Embedded"},"config":{"$ref":"#/components/schemas/Embedded"},"reporter_info":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"reference":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"source_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"},"impacted_asset":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_watcher":{"type":"array","items":{}},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"custom_field":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"location":{"type":"object","additionalProperties":{}}},"required":["incident_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/inci/incident/{id}/":{"get":{"operationId":"ux_sd_inci_incident_retrieve","description":"This endpoint is used to fetch a incident details in the current organization","summary":"Gets a incident with the given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Incident"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IncidentList"}}},"description":""}}}}}}
```

## Edits the incident with given id

> This endpoint is used to edit an existing incident for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"IncidentList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"incident_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_merge_incident":{"type":"boolean"},"is_archive":{"type":"boolean"},"unread_mail":{"type":"boolean"},"requester":{"$ref":"#/components/schemas/Embedded"},"config":{"$ref":"#/components/schemas/Embedded"},"reporter_info":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"reference":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"source_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"},"impacted_asset":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_watcher":{"type":"array","items":{}},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"custom_field":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"location":{"type":"object","additionalProperties":{}}},"required":["incident_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/inci/incident/{id}/":{"put":{"operationId":"ux_sd_inci_incident_update","description":"This endpoint is used to edit an existing incident for the current organization","summary":"Edits the incident with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Incident"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IncidentList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/IncidentList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/IncidentList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IncidentList"}}},"description":""}}}}}}
```

## Deletes the incident with given id

> This endpoint is used to delete an existing incident for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/sd/inci/incident/{id}/":{"delete":{"operationId":"ux_sd_inci_incident_destroy","description":"This endpoint is used to delete an existing incident for the current organization","summary":"Deletes the incident with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Incident"],"responses":{"204":{"description":"No response body"}}}}}}
```

## Add attachments for the selected incident.

> This endpoint is used to add new attachments.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"IncidentList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"incident_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_merge_incident":{"type":"boolean"},"is_archive":{"type":"boolean"},"unread_mail":{"type":"boolean"},"requester":{"$ref":"#/components/schemas/Embedded"},"config":{"$ref":"#/components/schemas/Embedded"},"reporter_info":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"reference":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"source_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"},"impacted_asset":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_watcher":{"type":"array","items":{}},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"custom_field":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"location":{"type":"object","additionalProperties":{}}},"required":["incident_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/inci/incident/add-attachment/":{"post":{"operationId":"ux_sd_inci_incident_add_attachment_create","description":"This endpoint is used to add new attachments.","summary":"Add attachments for the selected incident.","tags":["Incident"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IncidentList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/IncidentList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/IncidentList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IncidentList"}}},"description":""}}}}}}
```

## Gets attachments for the selected incident.

> This endpoint is used to fetch the attachments.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"IncidentList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"incident_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_merge_incident":{"type":"boolean"},"is_archive":{"type":"boolean"},"unread_mail":{"type":"boolean"},"requester":{"$ref":"#/components/schemas/Embedded"},"config":{"$ref":"#/components/schemas/Embedded"},"reporter_info":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"reference":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"source_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"},"impacted_asset":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_watcher":{"type":"array","items":{}},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"custom_field":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"location":{"type":"object","additionalProperties":{}}},"required":["incident_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/inci/incident/attachment/":{"get":{"operationId":"ux_sd_inci_incident_attachment_retrieve","description":"This endpoint is used to fetch the attachments.","summary":"Gets attachments for the selected incident.","tags":["Incident"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IncidentList"}}},"description":""}}}}}}
```

## POST /ux/sd/inci/incident/bulk\_retry\_api/

> API endpoint that allows Incident to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"IncidentList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"incident_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_merge_incident":{"type":"boolean"},"is_archive":{"type":"boolean"},"unread_mail":{"type":"boolean"},"requester":{"$ref":"#/components/schemas/Embedded"},"config":{"$ref":"#/components/schemas/Embedded"},"reporter_info":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"reference":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"source_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"},"impacted_asset":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_watcher":{"type":"array","items":{}},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"custom_field":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"location":{"type":"object","additionalProperties":{}}},"required":["incident_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/inci/incident/bulk_retry_api/":{"post":{"operationId":"ux_sd_inci_incident_bulk_retry_api_create","description":"API endpoint that allows Incident to be viewed or edited.","tags":["Incident"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IncidentList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/IncidentList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/IncidentList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IncidentList"}}},"description":""}}}}}}
```

## POST /ux/sd/inci/incident/close\_inci\_request/

> API endpoint that allows Incident to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"IncidentList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"incident_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_merge_incident":{"type":"boolean"},"is_archive":{"type":"boolean"},"unread_mail":{"type":"boolean"},"requester":{"$ref":"#/components/schemas/Embedded"},"config":{"$ref":"#/components/schemas/Embedded"},"reporter_info":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"reference":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"source_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"},"impacted_asset":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_watcher":{"type":"array","items":{}},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"custom_field":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"location":{"type":"object","additionalProperties":{}}},"required":["incident_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/inci/incident/close_inci_request/":{"post":{"operationId":"ux_sd_inci_incident_close_inci_request_create","description":"API endpoint that allows Incident to be viewed or edited.","tags":["Incident"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IncidentList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/IncidentList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/IncidentList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IncidentList"}}},"description":""}}}}}}
```

## POST /ux/sd/inci/incident/delete\_incident/

> API endpoint that allows Incident to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"IncidentList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"incident_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_merge_incident":{"type":"boolean"},"is_archive":{"type":"boolean"},"unread_mail":{"type":"boolean"},"requester":{"$ref":"#/components/schemas/Embedded"},"config":{"$ref":"#/components/schemas/Embedded"},"reporter_info":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"reference":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"source_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"},"impacted_asset":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_watcher":{"type":"array","items":{}},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"custom_field":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"location":{"type":"object","additionalProperties":{}}},"required":["incident_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/inci/incident/delete_incident/":{"post":{"operationId":"ux_sd_inci_incident_delete_incident_create","description":"API endpoint that allows Incident to be viewed or edited.","tags":["Incident"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IncidentList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/IncidentList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/IncidentList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IncidentList"}}},"description":""}}}}}}
```

## GET /ux/sd/inci/incident/feedback/

> API endpoint that allows Incident to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"IncidentList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"incident_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_merge_incident":{"type":"boolean"},"is_archive":{"type":"boolean"},"unread_mail":{"type":"boolean"},"requester":{"$ref":"#/components/schemas/Embedded"},"config":{"$ref":"#/components/schemas/Embedded"},"reporter_info":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"reference":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"source_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"},"impacted_asset":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_watcher":{"type":"array","items":{}},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"custom_field":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"location":{"type":"object","additionalProperties":{}}},"required":["incident_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/inci/incident/feedback/":{"get":{"operationId":"ux_sd_inci_incident_feedback_retrieve","description":"API endpoint that allows Incident to be viewed or edited.","tags":["Incident"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IncidentList"}}},"description":""}}}}}}
```

## GET /ux/sd/inci/incident/impacted\_asset/

> API endpoint that allows Incident to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"IncidentList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"incident_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_merge_incident":{"type":"boolean"},"is_archive":{"type":"boolean"},"unread_mail":{"type":"boolean"},"requester":{"$ref":"#/components/schemas/Embedded"},"config":{"$ref":"#/components/schemas/Embedded"},"reporter_info":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"reference":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"source_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"},"impacted_asset":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_watcher":{"type":"array","items":{}},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"custom_field":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"location":{"type":"object","additionalProperties":{}}},"required":["incident_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/inci/incident/impacted_asset/":{"get":{"operationId":"ux_sd_inci_incident_impacted_asset_retrieve","description":"API endpoint that allows Incident to be viewed or edited.","tags":["Incident"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IncidentList"}}},"description":""}}}}}}
```

## POST /ux/sd/inci/incident/inci\_reopen/

> API endpoint that allows Incident to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"IncidentList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"incident_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_merge_incident":{"type":"boolean"},"is_archive":{"type":"boolean"},"unread_mail":{"type":"boolean"},"requester":{"$ref":"#/components/schemas/Embedded"},"config":{"$ref":"#/components/schemas/Embedded"},"reporter_info":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"reference":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"source_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"},"impacted_asset":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_watcher":{"type":"array","items":{}},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"custom_field":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"location":{"type":"object","additionalProperties":{}}},"required":["incident_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/inci/incident/inci_reopen/":{"post":{"operationId":"ux_sd_inci_incident_inci_reopen_create","description":"API endpoint that allows Incident to be viewed or edited.","tags":["Incident"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IncidentList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/IncidentList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/IncidentList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IncidentList"}}},"description":""}}}}}}
```

## POST /ux/sd/inci/incident/inci\_resolve/

> API endpoint that allows Incident to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"IncidentList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"incident_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_merge_incident":{"type":"boolean"},"is_archive":{"type":"boolean"},"unread_mail":{"type":"boolean"},"requester":{"$ref":"#/components/schemas/Embedded"},"config":{"$ref":"#/components/schemas/Embedded"},"reporter_info":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"reference":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"source_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"},"impacted_asset":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_watcher":{"type":"array","items":{}},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"custom_field":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"location":{"type":"object","additionalProperties":{}}},"required":["incident_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/inci/incident/inci_resolve/":{"post":{"operationId":"ux_sd_inci_incident_inci_resolve_create","description":"API endpoint that allows Incident to be viewed or edited.","tags":["Incident"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IncidentList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/IncidentList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/IncidentList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IncidentList"}}},"description":""}}}}}}
```

## GET /ux/sd/inci/incident/incident-data/{id}/

> API endpoint that allows Incident to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"IncidentList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"incident_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_merge_incident":{"type":"boolean"},"is_archive":{"type":"boolean"},"unread_mail":{"type":"boolean"},"requester":{"$ref":"#/components/schemas/Embedded"},"config":{"$ref":"#/components/schemas/Embedded"},"reporter_info":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"reference":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"source_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"},"impacted_asset":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_watcher":{"type":"array","items":{}},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"custom_field":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"location":{"type":"object","additionalProperties":{}}},"required":["incident_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/inci/incident/incident-data/{id}/":{"get":{"operationId":"ux_sd_inci_incident_incident_data_retrieve","description":"API endpoint that allows Incident to be viewed or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Incident"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IncidentList"}}},"description":""}}}}}}
```

## GET /ux/sd/inci/incident/options/

> API endpoint that allows Incident to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"IncidentList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"incident_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_merge_incident":{"type":"boolean"},"is_archive":{"type":"boolean"},"unread_mail":{"type":"boolean"},"requester":{"$ref":"#/components/schemas/Embedded"},"config":{"$ref":"#/components/schemas/Embedded"},"reporter_info":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"reference":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"source_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"},"impacted_asset":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_watcher":{"type":"array","items":{}},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"custom_field":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"location":{"type":"object","additionalProperties":{}}},"required":["incident_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/inci/incident/options/":{"get":{"operationId":"ux_sd_inci_incident_options_retrieve","description":"API endpoint that allows Incident to be viewed or edited.","tags":["Incident"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IncidentList"}}},"description":""}}}}}}
```

## Get rich text data

> This endpoint is used to get the rich text data.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"IncidentList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"incident_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_merge_incident":{"type":"boolean"},"is_archive":{"type":"boolean"},"unread_mail":{"type":"boolean"},"requester":{"$ref":"#/components/schemas/Embedded"},"config":{"$ref":"#/components/schemas/Embedded"},"reporter_info":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"reference":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"source_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"},"impacted_asset":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_watcher":{"type":"array","items":{}},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"custom_field":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"location":{"type":"object","additionalProperties":{}}},"required":["incident_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/inci/incident/process-rich-text/":{"get":{"operationId":"ux_sd_inci_incident_process_rich_text_retrieve","description":"This endpoint is used to get the rich text data.","summary":"Get rich text data","tags":["Incident"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IncidentList"}}},"description":""}}}}}}
```

## GET /ux/sd/inci/incident/requester\_search/

> API endpoint that allows Incident to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"IncidentList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"incident_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_merge_incident":{"type":"boolean"},"is_archive":{"type":"boolean"},"unread_mail":{"type":"boolean"},"requester":{"$ref":"#/components/schemas/Embedded"},"config":{"$ref":"#/components/schemas/Embedded"},"reporter_info":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"reference":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"source_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"},"impacted_asset":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_watcher":{"type":"array","items":{}},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"custom_field":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"location":{"type":"object","additionalProperties":{}}},"required":["incident_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/inci/incident/requester_search/":{"get":{"operationId":"ux_sd_inci_incident_requester_search_retrieve","description":"API endpoint that allows Incident to be viewed or edited.","tags":["Incident"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IncidentList"}}},"description":""}}}}}}
```

## Save rich text data

> This endpoint is used to save the rich text data.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"IncidentList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"incident_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_merge_incident":{"type":"boolean"},"is_archive":{"type":"boolean"},"unread_mail":{"type":"boolean"},"requester":{"$ref":"#/components/schemas/Embedded"},"config":{"$ref":"#/components/schemas/Embedded"},"reporter_info":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"reference":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"source_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"},"impacted_asset":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_watcher":{"type":"array","items":{}},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"custom_field":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"location":{"type":"object","additionalProperties":{}}},"required":["incident_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/inci/incident/save-rich-text/":{"post":{"operationId":"ux_sd_inci_incident_save_rich_text_create","description":"This endpoint is used to save the rich text data.","summary":"Save rich text data","tags":["Incident"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IncidentList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/IncidentList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/IncidentList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IncidentList"}}},"description":""}}}}}}
```

## POST /ux/sd/inci/incident/workflow\_options\_map/

> API endpoint that allows Incident to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"IncidentList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"incident_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_merge_incident":{"type":"boolean"},"is_archive":{"type":"boolean"},"unread_mail":{"type":"boolean"},"requester":{"$ref":"#/components/schemas/Embedded"},"config":{"$ref":"#/components/schemas/Embedded"},"reporter_info":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"reference":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"source_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"},"impacted_asset":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_watcher":{"type":"array","items":{}},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"custom_field":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"location":{"type":"object","additionalProperties":{}}},"required":["incident_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/inci/incident/workflow_options_map/":{"post":{"operationId":"ux_sd_inci_incident_workflow_options_map_create","description":"API endpoint that allows Incident to be viewed or edited.","tags":["Incident"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IncidentList"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/IncidentList"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/IncidentList"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IncidentList"}}},"description":""}}}}}}
```

## GET /ux/sd/inci/incident/workflow\_status/

> API endpoint that allows Incident to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"IncidentList":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"incident_id":{"type":"string","maxLength":25},"display_id":{"type":"string","maxLength":50},"is_merge_incident":{"type":"boolean"},"is_archive":{"type":"boolean"},"unread_mail":{"type":"boolean"},"requester":{"$ref":"#/components/schemas/Embedded"},"config":{"$ref":"#/components/schemas/Embedded"},"reporter_info":{"$ref":"#/components/schemas/Embedded"},"basic_info":{"$ref":"#/components/schemas/Embedded"},"reference":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"source_info":{"$ref":"#/components/schemas/Embedded"},"template_info":{"$ref":"#/components/schemas/Embedded"},"impacted_asset":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"close_info":{"$ref":"#/components/schemas/Embedded"},"current_watcher":{"type":"array","items":{}},"current_assignment_info":{"$ref":"#/components/schemas/Embedded"},"custom_field":{"type":"array","items":{"$ref":"#/components/schemas/Embedded"}},"tag":{"type":"array","items":{}},"kb":{"type":"array","items":{}},"custom_field_data":{"type":"object","additionalProperties":{}},"creation_time":{"type":"string","format":"date-time"},"created_by_id":{"type":"string","maxLength":225},"last_update_time":{"type":"string","format":"date-time"},"updated_by_id":{"type":"string","maxLength":225},"location":{"type":"object","additionalProperties":{}}},"required":["incident_id"]},"Embedded":{"type":"object","description":"Serializer for EmbeddedDocuments.\n\nSkips id field and uniqueness validation.\nWhen saving, skips calling instance.save","properties":{"keys":{"type":"string"},"values":{"type":"string"},"queryparam":{"type":"boolean"}}}}},"paths":{"/ux/sd/inci/incident/workflow_status/":{"get":{"operationId":"ux_sd_inci_incident_workflow_status_retrieve","description":"API endpoint that allows Incident to be viewed or edited.","tags":["Incident"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IncidentList"}}},"description":""}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.infraon.io/infraon-infinity-api-guide/modules/incident.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
